Bug 998725 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'search' accesses on the directory 1.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'search' accesses...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3b8f6ed7b0b6be799397539a1ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 18:05 EDT by Fabio
Modified: 2013-09-22 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-103.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio 2013-08-19 18:05:39 EDT
Description of problem:
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'search' accesses on the directory 1.

*****  Plugin catchall (100. confidence) suggests  ***************************

If si crede che totem-video-thumbnailer dovrebbe avere possibilità di accesso search sui 1 directory in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:system_r:init_t:s0
Target Objects                1 [ dir ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.6.3-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-100.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.7-100.fc18.x86_64 #1 SMP Thu
                              Aug 15 22:21:29 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-20 00:04:48 CEST
Last Seen                     2013-08-20 00:04:48 CEST
Local ID                      8b75089c-8068-4f2a-a3c0-7f8d01f8760b

Raw Audit Messages
type=AVC msg=audit(1376949888.192:367): avc:  denied  { search } for  pid=11794 comm="totem-video-thu" name="1" dev="proc" ino=1198 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=dir


type=SYSCALL msg=audit(1376949888.192:367): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff01034130 a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=11794 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,init_t,dir,search

audit2allow

#============= thumb_t ==============
allow thumb_t init_t:dir search;

audit2allow -R
require {
	type thumb_t;
}

#============= thumb_t ==============
init_read_state(thumb_t)


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.10.7-100.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-28 13:10:00 EDT
3d318ad91468f38f624ba73e6b1d73124cb91a8b adds a dontaudit for this in git.
Comment 2 Fedora Update System 2013-09-02 11:28:35 EDT
selinux-policy-3.11.1-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-101.fc18
Comment 3 Fedora Update System 2013-09-02 19:27:17 EDT
Package selinux-policy-3.11.1-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-101.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15645/selinux-policy-3.11.1-101.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-10 07:17:25 EDT
selinux-policy-3.11.1-103.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-103.fc18
Comment 5 Fedora Update System 2013-09-22 20:44:29 EDT
selinux-policy-3.11.1-103.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.